com.io7m.jcanephora.core.api

## Interface JCGLTexturesType

- All Superinterfaces:
    JCGLTextures2DType, JCGLTexturesCubeType

      public interface JCGLTexturesType
      extends JCGLTextures2DType, JCGLTexturesCubeType

  The interface to OpenGL textures.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `textureGetMaximumSize()`
    `List<JCGLTextureUnitType>` | `textureGetUnits()`
    `boolean` | `textureUnitIsBound(JCGLTextureUnitType unit)`
    `void` | `textureUnitUnbind(JCGLTextureUnitType unit)` Unbind whatever texture is bound to the texture unit `unit` (if any).

    - ### Methods inherited from interface com.io7m.jcanephora.core.api.JCGLTextures2DType

      `texture2DAllocate, texture2DBind, texture2DDelete, texture2DGetImage, texture2DIsBound, texture2DIsBoundAnywhere, texture2DRegenerateMipmaps, texture2DUpdate`

    - ### Methods inherited from interface com.io7m.jcanephora.core.api.JCGLTexturesCubeType

      `textureCubeAllocate, textureCubeBind, textureCubeDelete, textureCubeGetImageLH, textureCubeGetImageRH, textureCubeIsBound, textureCubeIsBoundAnywhere, textureCubeRegenerateMipmaps, textureCubeUpdateLH, textureCubeUpdateRH`

- - ### Method Detail

    - #### textureGetMaximumSize

          int textureGetMaximumSize()
                             throws JCGLException

      Returns:
        The maximum texture size supported by the current implementation. 'Size' refers to the length of a side, so if the implementation returns `8192`, the largest texture that can be created is `8192 * 8192`.
      Throws:
        `JCGLException` - Iff an OpenGL error occurs.

    - #### textureGetUnits

          List<JCGLTextureUnitType> textureGetUnits()
                                             throws JCGLException

      Returns:
        All available texture units for the current implementation.
      Throws:
        `JCGLException` - Iff an OpenGL error occurs.

    - #### textureUnitIsBound

          boolean textureUnitIsBound(JCGLTextureUnitType unit)
                              throws JCGLException

      Parameters:
        `unit` - The texture unit.
      Returns:
        `true` iff the the texture unit `unit` has any texture bound to it.
      Throws:
        `JCGLException` - Iff an OpenGL error occurs.

    - #### textureUnitUnbind

          void textureUnitUnbind(JCGLTextureUnitType unit)
                          throws JCGLException

      Unbind whatever texture is bound to the texture unit `unit` (if any).
      Parameters:
        `unit` - The texture unit
      Throws:
        `JCGLException` - Iff an OpenGL error occurs.

Copyright © 2016 <code@io7m.com> http://io7m.com